> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminspace

> Get paginated spaces for the instance



## OpenAPI

````yaml /swagger.json get /admin/space
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /admin/space:
    get:
      tags:
        - admin
      description: Get paginated spaces for the instance
      parameters:
        - schema:
            type: number
            minimum: 1
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 100
            default: 10
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
      responses:
        '200':
          description: Returns paginated spaces for the instance.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        createdTime:
                          type: string
                        autoJoin:
                          type: boolean
                          nullable: true
                        baseCount:
                          type: number
                        collaboratorCount:
                          type: number
                      required:
                        - id
                        - name
                        - createdTime
                        - autoJoin
                        - baseCount
                        - collaboratorCount
                  total:
                    type: number
                  page:
                    type: number
                  pageSize:
                    type: number
                required:
                  - data
                  - total
                  - page
                  - pageSize
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/space?page=SOME_NUMBER_VALUE&pageSize=SOME_NUMBER_VALUE&search=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````